Bug 1273427

Summary: anaconda won't reboot the system
Product: [Fedora] Fedora Reporter: Łukasz Posadowski <mail>
Component: selinux-policyAssignee: Miroslav Grepl <mgrepl>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 23CC: anaconda-maint-list, dominick.grift, dwalsh, g.kaviyarasu, johannbg, jonathan, jsynacek, lnykryn, lvrabec, mail, mgrepl, msekleta, plautrba, s, systemd-maint, vanmeeuwen+fedora, zbyszek
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-10-26 09:25:36 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Łukasz Posadowski 2015-10-20 12:35:52 UTC
Description of problem:
After installing Fedora 23 from live DVD beta1 Anaconda can't reboot the system. Neither can root.

Version-Release number of selected component (if applicable):
Fedora 23 Workstation beta1 DVD.

How reproducible:
Always,

Steps to Reproduce:
1. login as root and try to reboot
2.
3.

Actual results:
# reboot
Failed to start reboot.target: Access denied.

Expected results:


Additional info:
reboot

Comment 1 Jan Synacek 2015-10-21 06:10:23 UTC
Try these to see if any of them help:
1) # setenforce 0
2) # systemctl daemon-reexec

Comment 2 Łukasz Posadowski 2015-10-23 12:27:14 UTC
Can we just stop blaming selinux for every... Wait, it was selinux. :) Thanks.

Comment 3 Jan Synacek 2015-10-26 08:24:14 UTC
There was a very active bugzilla about this issue some time ago. I believe this won't be reproducible in final release candidates (or anything after beta1...).

Comment 4 Miroslav Grepl 2015-10-26 09:25:36 UTC
Yes, we have fixes in libselinux which should prevent it on the latest F23 installations.